export declare function scrypt(password: string, salt: string): Uint8Array;
export declare function pbkdf2(password: string, salt: string): Uint8Array;
export declare function deriveMainSeed(username: string, password: string): Uint8Array;
export declare function deriveChildKey(seed: Uint8Array, protocol: string, accountId?: number | string, keyLength?: number): Uint8Array;
declare type ESKDF = Promise<Readonly<{
    deriveChildKey: (protocol: string, accountId: number | string) => Uint8Array;
    expire: () => void;
    fingerprint: string;
}>>;
export declare function eskdf(username: string, password: string): ESKDF;
export {};
