/// <reference types="bn.js" />
import type { AccountId, Balance, BalanceLockTo212, Index } from '@polkadot/types/interfaces';
import type { PalletBalancesBalanceLock } from '@polkadot/types/lookup';
import type { BN } from '@polkadot/util';
export interface DeriveBalancesAccountData {
    freeBalance: Balance;
    frozenFee: Balance;
    frozenMisc: Balance;
    reservedBalance: Balance;
    votingBalance: Balance;
}
export interface DeriveBalancesAccount extends DeriveBalancesAccountData {
    accountId: AccountId;
    accountNonce: Index;
    additional: DeriveBalancesAccountData[];
}
export interface DeriveBalancesAllAccountData extends DeriveBalancesAccountData {
    availableBalance: Balance;
    lockedBalance: Balance;
    lockedBreakdown: (PalletBalancesBalanceLock | BalanceLockTo212)[];
    vestingLocked: Balance;
}
export interface DeriveBalancesVesting {
    startingBlock: BN;
    endBlock: BN;
    perBlock: BN;
    locked: BN;
    vested: BN;
}
export interface DeriveBalancesAllVesting {
    isVesting: boolean;
    vestedBalance: BN;
    vestedClaimable: BN;
    vesting: DeriveBalancesVesting[];
    vestingTotal: BN;
}
export interface DeriveBalancesAll extends DeriveBalancesAccount, DeriveBalancesAllAccountData, DeriveBalancesAllVesting {
    additional: DeriveBalancesAllAccountData[];
}
export declare type DeriveBalancesMap = Record<string, DeriveBalancesAll>;
