"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports._ownExposures = _ownExposures;
exports.ownExposures = exports.ownExposure = void 0;

var _rxjs = require("rxjs");

var _index = require("../util/index.cjs");

var _util = require("./util.cjs");

// Copyright 2017-2022 @polkadot/api-derive authors & contributors
// SPDX-License-Identifier: Apache-2.0
function _ownExposures(instanceId, api) {
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  return (0, _index.memo)(instanceId, (accountId, eras, _withActive) => eras.length ? api.queryMulti([...eras.map(e => [api.query.staking.erasStakersClipped, [e, accountId]]), ...eras.map(e => [api.query.staking.erasStakers, [e, accountId]])]).pipe((0, _rxjs.map)(all => eras.map((era, index) => ({
    clipped: all[index],
    era,
    exposure: all[eras.length + index]
  })))) : (0, _rxjs.of)([]));
}

const ownExposure = (0, _index.firstMemo)((api, accountId, era) => api.derive.staking._ownExposures(accountId, [era], true));
exports.ownExposure = ownExposure;
const ownExposures = (0, _util.erasHistoricApplyAccount)('_ownExposures');
exports.ownExposures = ownExposures;