// Copyright 2017-2022 @polkadot/types-codec authors & contributors
// SPDX-License-Identifier: Apache-2.0
import { typeToConstructor } from "./typeToConstructor.js";
/**
 * @description takes an input map of the form `{ [string]: string | CodecClass }` and returns a map of `{ [string]: CodecClass }`
 */

export function mapToTypeMap(registry, input) {
  const entries = Object.entries(input);
  const output = {};

  for (let i = 0; i < entries.length; i++) {
    output[entries[i][0]] = typeToConstructor(registry, entries[i][1]);
  }

  return output;
}