import type { Observable } from 'rxjs';
import type { DeriveApi, DeriveFees } from '../types';
/**
 * @name fees
 * @returns An object containing the combined results of the storage queries for
 * all relevant fees as declared in the substrate chain spec.
 * @example
 * <BR>
 *
 * ```javascript
 * api.derive.balances.fees(({ creationFee, transferFee }) => {
 *   console.log(`The fee for creating a new account on this chain is ${creationFee} units. The fee required for making a transfer is ${transferFee} units.`);
 * });
 * ```
 */
export declare function fees(instanceId: string, api: DeriveApi): () => Observable<DeriveFees>;
