"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports._ownSlashes = _ownSlashes;
exports.ownSlashes = exports.ownSlash = void 0;

var _rxjs = require("rxjs");

var _index = require("../util/index.cjs");

var _util = require("./util.cjs");

// Copyright 2017-2022 @polkadot/api-derive authors & contributors
// SPDX-License-Identifier: Apache-2.0
function _ownSlashes(instanceId, api) {
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  return (0, _index.memo)(instanceId, (accountId, eras, _withActive) => eras.length ? api.queryMulti([...eras.map(e => [api.query.staking.validatorSlashInEra, [e, accountId]]), ...eras.map(e => [api.query.staking.nominatorSlashInEra, [e, accountId]])]).pipe((0, _rxjs.map)(values => eras.map((era, index) => ({
    era,
    total: values[index].isSome ? values[index].unwrap()[1] : values[index + eras.length].unwrapOrDefault()
  })))) : (0, _rxjs.of)([]));
}

const ownSlash = (0, _index.firstMemo)((api, accountId, era) => api.derive.staking._ownSlashes(accountId, [era], true));
exports.ownSlash = ownSlash;
const ownSlashes = (0, _util.erasHistoricApplyAccount)('_ownSlashes');
exports.ownSlashes = ownSlashes;