"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.main = main;

var _staticKusama = _interopRequireDefault(require("@polkadot/types-support/metadata/static-kusama"));

var _staticPolkadot = _interopRequireDefault(require("@polkadot/types-support/metadata/static-polkadot"));

var _staticSubstrate = _interopRequireDefault(require("@polkadot/types-support/metadata/static-substrate"));

var _index = require("./generate/index.cjs");

// Copyright 2017-2022 @polkadot/typegen authors & contributors
// SPDX-License-Identifier: Apache-2.0
const BASE = 'packages/api-augment/src';
const METAS = Object.entries({
  kusama: _staticKusama.default,
  polkadot: _staticPolkadot.default,
  substrate: _staticSubstrate.default
});

function main() {
  (0, _index.generateDefaultLookup)();
  (0, _index.generateDefaultInterface)();
  (0, _index.generateDefaultRpc)();
  (0, _index.generateDefaultTsDef)();

  for (const [name, staticMeta] of METAS) {
    console.log();
    console.log(`*** Generating for ${name}`);
    (0, _index.generateDefaultConsts)(`${BASE}/${name}/consts.ts`, staticMeta);
    (0, _index.generateDefaultErrors)(`${BASE}/${name}/errors.ts`, staticMeta);
    (0, _index.generateDefaultEvents)(`${BASE}/${name}/events.ts`, staticMeta);
    (0, _index.generateDefaultQuery)(`${BASE}/${name}/query.ts`, staticMeta);
    (0, _index.generateDefaultTx)(`${BASE}/${name}/tx.ts`, staticMeta);
  }
}