import type { AnyTuple, CodecClass, INumber, Registry } from '../types';
import { Tuple } from '../base/Tuple';
declare type RangeType = 'Range' | 'RangeInclusive';
/**
 * @name Range
 * @description
 * Rust `Range<T>` representation
 */
export declare class Range<T extends INumber> extends Tuple {
    #private;
    constructor(registry: Registry, Type: CodecClass<T> | string, value?: AnyTuple, rangeName?: RangeType);
    static with<T extends INumber>(Types: CodecClass<T> | string): CodecClass<Range<T>>;
    /**
     * @description Returns the starting range value
     */
    get start(): T;
    /**
     * @description Returns the ending range value
     */
    get end(): T;
    /**
     * @description Returns the base runtime type name for this instance
     */
    toRawType(): string;
}
export declare class RangeInclusive<T extends INumber = INumber> extends Range<T> {
    constructor(registry: Registry, Type: CodecClass<T> | string, value?: AnyTuple);
    static with<T extends INumber>(Type: CodecClass<T> | string): CodecClass<RangeInclusive<T>>;
}
export {};
