import type { Registry } from '../types';
import { u32 } from './U32';
/**
 * @name USize
 * @description
 * A System default unsigned number, typically used in RPC to report non-consensus
 * data. It is a wrapper for [[U32]] as a WASM default (as generated by Rust bindings).
 * It is not to be used, since it created consensus mismatches.
 */
export declare class usize extends u32 {
    constructor(registry: Registry, value?: unknown);
}
